/*
Continuous Testing Toolkit
Copyright (C) 2009 Paul R. Holser, Jr.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

package org.infinitest.toolkit.runners;

class Enclosure {
    final Object enclosing;
    final Object enclosed;

    Enclosure(Object enclosing, Object enclosed) {
        this.enclosing = enclosing;
        this.enclosed = enclosed;
    }

    static Object enclosed(Object test) {
        return ((Enclosure) test).enclosed;
    }

    static Object enclosing(Object test) {
        return ((Enclosure) test).enclosing;
    }
}
