package org.infinitest.toolkit.random;

public interface SourceOfRandomness {
    boolean nextBoolean();

    void nextBytes(byte[] bytes);

    double nextDouble();

    float nextFloat();

    double nextGaussian();

    int nextInt();

    int nextInt(int n);

    long nextLong();
}
